import { type LoginState } from "@/modules/login/types";
import { useLocalStorage } from "@vueuse/core";

export const testLoginState: LoginState = {
  currentTosVersion: { version: "1", isCurrent: true },
  expiredSession: false,
  loginStoredData: useLocalStorage("coscine.login.storedData", ""),
  loginUrls: {
    orcidUrl: "http://example.org",
    identityProviders: [{ id: "http://example.org" }],
  },
};
